Skip to main content
POST
/
v1
/
midjourney
/
generations
/
edits
curl --request POST \
  --url https://api.apimart.ai/v1/midjourney/generations/edits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
      "https://example.com/product.png"
    ],
    "version": "8.1",
    "speed": "fast"
  }'
import requests

url = "https://api.apimart.ai/v1/midjourney/generations/edits"

payload = {
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
        "https://example.com/product.png"
    ],
    "version": "8.1",
    "speed": "fast"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/midjourney/generations/edits";

const payload = {
  prompt: "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls: [
    "https://example.com/product.png"
  ],
  version: "8.1",
  speed: "fast"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/midjourney/generations/edits"

    payload := map[string]interface{}{
        "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
        "image_urls": []string{
            "https://example.com/product.png",
        },
        "version": "8.1",
        "speed": "fast",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/midjourney/generations/edits";

        String payload = """
        {
          "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
          "image_urls": [
            "https://example.com/product.png"
          ],
          "version": "8.1",
          "speed": "fast"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/midjourney/generations/edits";

$payload = [
    "prompt" => "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls" => [
        "https://example.com/product.png",
    ],
    "version" => "8.1",
    "speed" => "fast",
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/midjourney/generations/edits")

payload = {
  prompt: "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls: [
    "https://example.com/product.png",
  ],
  version: "8.1",
  speed: "fast",
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/midjourney/generations/edits")!

let payload: [String: Any] = [
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
        "https://example.com/product.png",
    ],
    "version": "8.1",
    "speed": "fast",
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }
    
    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/midjourney/generations/edits";

        var payload = @"{
            ""prompt"": ""replace the background with a modern kitchen, keep the product unchanged --ar 1:1"",
            ""image_urls"": [
                ""https://example.com/product.png""
            ],
            ""version"": ""8.1"",
            ""speed"": ""fast""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl;
    CURLcode res;

    curl_global_init(CURL_GLOBAL_DEFAULT);
    curl = curl_easy_init();

    if(curl) {
        const char *url = "https://api.apimart.ai/v1/midjourney/generations/edits";
        const char *payload = "{"
            "\"prompt\":\"replace the background with a modern kitchen, keep the product unchanged --ar 1:1\","
            "\"image_urls\":[\"https://example.com/product.png\"],"
            "\"version\":\"8.1\","
            "\"speed\":\"fast\""
        "}";

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer <token>");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

        res = curl_easy_perform(curl);

        if(res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n",
                    curl_easy_strerror(res));
        }

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }

    curl_global_cleanup();
    return 0;
}
#import <Foundation/Foundation.h>

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        NSURL *url = [NSURL URLWithString:@"https://api.apimart.ai/v1/midjourney/generations/edits"];
        
        NSDictionary *payload = @{
            @"prompt": @"replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
            @"image_urls": @[
                @"https://example.com/product.png",
            ],
            @"version": @"8.1",
            @"speed": @"fast",
        };
        
        NSError *error;
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
                                                          options:0
                                                            error:&error];
        
        NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
        [request setHTTPMethod:@"POST"];
        [request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
        [request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
        [request setHTTPBody:jsonData];
        
        NSURLSessionDataTask *task = [[NSURLSession sharedSession] 
            dataTaskWithRequest:request
            completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
                if (error) {
                    NSLog(@"Error: %@", error);
                    return;
                }
                NSString *result = [[NSString alloc] initWithData:data 
                                                        encoding:NSUTF8StringEncoding];
                NSLog(@"%@", result);
            }];
        
        [task resume];
        [[NSRunLoop mainRunLoop] run];
    }
    return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix

let url = "https://api.apimart.ai/v1/midjourney/generations/edits"

let payload = {|{
  "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  "image_urls": [
    "https://example.com/product.png"
  ],
  "version": "8.1",
  "speed": "fast"
}|}

let () =
  let headers = Header.init ()
    |> fun h -> Header.add h "Authorization" "Bearer <token>"
    |> fun h -> Header.add h "Content-Type" "application/json"
  in
  let body = Cohttp_lwt.Body.of_string payload in
  
  let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
    body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
    print_endline body_str
  in
  Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;

void main() async {
  final url = Uri.parse('https://api.apimart.ai/v1/midjourney/generations/edits');
  
  final payload = {
    'prompt': 'replace the background with a modern kitchen, keep the product unchanged --ar 1:1',
    'image_urls': [
      'https://example.com/product.png',
    ],
    'version': '8.1',
    'speed': 'fast',
  };
  
  final response = await http.post(
    url,
    headers: {
      'Authorization': 'Bearer <token>',
      'Content-Type': 'application/json',
    },
    body: jsonEncode(payload),
  );
  
  print(response.body);
}
library(httr)
library(jsonlite)

url <- "https://api.apimart.ai/v1/midjourney/generations/edits"

payload <- list(
  prompt = "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls = list(
    "https://example.com/product.png"
  ),
  version = "8.1",
  speed = "fast"
)

response <- POST(
  url,
  add_headers(
    Authorization = "Bearer <token>",
    `Content-Type` = "application/json"
  ),
  body = toJSON(payload, auto_unbox = TRUE),
  encode = "raw"
)

cat(content(response, "text"))
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01KV52C0TEJSYZMCG0NCS4YWKK"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Invalid authentication credentials",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient balance. Please top up your account",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 403,
    "message": "Access forbidden. You don't have permission to access this resource",
    "type": "permission_error"
  }
}
{
  "error": {
    "code": 404,
    "message": "Task not found",
    "type": "not_found_error"
  }
}
{
  "error": {
    "code": 422,
    "message": "Image or prompt failed content moderation; automatically refunded",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded. Please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error. Please try again later",
    "type": "server_error"
  }
}
{
  "error": {
    "code": 502,
    "message": "Bad gateway. The server is temporarily unavailable",
    "type": "bad_gateway"
  }
}
curl --request POST \
  --url https://api.apimart.ai/v1/midjourney/generations/edits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
      "https://example.com/product.png"
    ],
    "version": "8.1",
    "speed": "fast"
  }'
import requests

url = "https://api.apimart.ai/v1/midjourney/generations/edits"

payload = {
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
        "https://example.com/product.png"
    ],
    "version": "8.1",
    "speed": "fast"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/midjourney/generations/edits";

const payload = {
  prompt: "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls: [
    "https://example.com/product.png"
  ],
  version: "8.1",
  speed: "fast"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/midjourney/generations/edits"

    payload := map[string]interface{}{
        "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
        "image_urls": []string{
            "https://example.com/product.png",
        },
        "version": "8.1",
        "speed": "fast",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/midjourney/generations/edits";

        String payload = """
        {
          "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
          "image_urls": [
            "https://example.com/product.png"
          ],
          "version": "8.1",
          "speed": "fast"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/midjourney/generations/edits";

$payload = [
    "prompt" => "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls" => [
        "https://example.com/product.png",
    ],
    "version" => "8.1",
    "speed" => "fast",
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/midjourney/generations/edits")

payload = {
  prompt: "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls: [
    "https://example.com/product.png",
  ],
  version: "8.1",
  speed: "fast",
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/midjourney/generations/edits")!

let payload: [String: Any] = [
    "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
    "image_urls": [
        "https://example.com/product.png",
    ],
    "version": "8.1",
    "speed": "fast",
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }
    
    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/midjourney/generations/edits";

        var payload = @"{
            ""prompt"": ""replace the background with a modern kitchen, keep the product unchanged --ar 1:1"",
            ""image_urls"": [
                ""https://example.com/product.png""
            ],
            ""version"": ""8.1"",
            ""speed"": ""fast""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl;
    CURLcode res;

    curl_global_init(CURL_GLOBAL_DEFAULT);
    curl = curl_easy_init();

    if(curl) {
        const char *url = "https://api.apimart.ai/v1/midjourney/generations/edits";
        const char *payload = "{"
            "\"prompt\":\"replace the background with a modern kitchen, keep the product unchanged --ar 1:1\","
            "\"image_urls\":[\"https://example.com/product.png\"],"
            "\"version\":\"8.1\","
            "\"speed\":\"fast\""
        "}";

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer <token>");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

        res = curl_easy_perform(curl);

        if(res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n",
                    curl_easy_strerror(res));
        }

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }

    curl_global_cleanup();
    return 0;
}
#import <Foundation/Foundation.h>

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        NSURL *url = [NSURL URLWithString:@"https://api.apimart.ai/v1/midjourney/generations/edits"];
        
        NSDictionary *payload = @{
            @"prompt": @"replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
            @"image_urls": @[
                @"https://example.com/product.png",
            ],
            @"version": @"8.1",
            @"speed": @"fast",
        };
        
        NSError *error;
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
                                                          options:0
                                                            error:&error];
        
        NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
        [request setHTTPMethod:@"POST"];
        [request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
        [request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
        [request setHTTPBody:jsonData];
        
        NSURLSessionDataTask *task = [[NSURLSession sharedSession] 
            dataTaskWithRequest:request
            completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
                if (error) {
                    NSLog(@"Error: %@", error);
                    return;
                }
                NSString *result = [[NSString alloc] initWithData:data 
                                                        encoding:NSUTF8StringEncoding];
                NSLog(@"%@", result);
            }];
        
        [task resume];
        [[NSRunLoop mainRunLoop] run];
    }
    return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix

let url = "https://api.apimart.ai/v1/midjourney/generations/edits"

let payload = {|{
  "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  "image_urls": [
    "https://example.com/product.png"
  ],
  "version": "8.1",
  "speed": "fast"
}|}

let () =
  let headers = Header.init ()
    |> fun h -> Header.add h "Authorization" "Bearer <token>"
    |> fun h -> Header.add h "Content-Type" "application/json"
  in
  let body = Cohttp_lwt.Body.of_string payload in
  
  let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
    body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
    print_endline body_str
  in
  Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;

void main() async {
  final url = Uri.parse('https://api.apimart.ai/v1/midjourney/generations/edits');
  
  final payload = {
    'prompt': 'replace the background with a modern kitchen, keep the product unchanged --ar 1:1',
    'image_urls': [
      'https://example.com/product.png',
    ],
    'version': '8.1',
    'speed': 'fast',
  };
  
  final response = await http.post(
    url,
    headers: {
      'Authorization': 'Bearer <token>',
      'Content-Type': 'application/json',
    },
    body: jsonEncode(payload),
  );
  
  print(response.body);
}
library(httr)
library(jsonlite)

url <- "https://api.apimart.ai/v1/midjourney/generations/edits"

payload <- list(
  prompt = "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  image_urls = list(
    "https://example.com/product.png"
  ),
  version = "8.1",
  speed = "fast"
)

response <- POST(
  url,
  add_headers(
    Authorization = "Bearer <token>",
    `Content-Type` = "application/json"
  ),
  body = toJSON(payload, auto_unbox = TRUE),
  encode = "raw"
)

cat(content(response, "text"))
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01KV52C0TEJSYZMCG0NCS4YWKK"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Invalid authentication credentials",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient balance. Please top up your account",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 403,
    "message": "Access forbidden. You don't have permission to access this resource",
    "type": "permission_error"
  }
}
{
  "error": {
    "code": 404,
    "message": "Task not found",
    "type": "not_found_error"
  }
}
{
  "error": {
    "code": 422,
    "message": "Image or prompt failed content moderation; automatically refunded",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded. Please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error. Please try again later",
    "type": "server_error"
  }
}
{
  "error": {
    "code": 502,
    "message": "Bad gateway. The server is temporarily unavailable",
    "type": "bad_gateway"
  }
}
Rewrites the whole image from an existing image + prompt. Good for background replacement, style transfer, and content changes.
ItemValue
actionEDITS
Billingmidjourney@edits[-speed]
Requiredprompt + image_urls

Parameters

FieldTypeRequiredDefaultNotes
promptstringYesEdit instruction
image_urlsstring[]YesImage to edit; each ≤ 12 MiB
speedstringNorelaxrelax / fast / turbo
metadataobjectNoCustom metadata

Structured fields (optional)

Same as Imagine — set them in the body or in prompt (e.g. --ar 16:9). Body values take priority, are appended to the prompt, and override same-name flags written by hand.
FieldTypeMJ equivalentNotes
sizestring--are.g. "16:9", "1:1", "9:16"
qualitystring--q"0.25", "0.5", "1", "2"
stylestring--stylee.g. "raw"
versionstring--vVersion. Main MJ versions append --v <version>; when used with niji: true and "7" / "6", it is normalized as a Niji version
seedint--seedSeed
negative_promptstring--noe.g. "ugly, blurry"
stylizeint--s0–1000
chaosint--c0–100
weirdint--w0–3000
tilebool--tileTile mode
nijibool--nijiNiji switch. Recommended: niji: true + version: "7" / "6"
iwfloat--iw0–3, image weight
cwint--cw0–100
swint--sw0–1000
crefstring--crefCharacter ref URL
srefstring--srefStyle ref URL
drefstring--drefDepth reference image URL
dwfloat--dwDepth weight (0–100)
repeatint--repeat2–40
rawbool--rawRaw style (v5.1+)
draftbool--draftDraft mode (v7+)
hdbool--hdHD mode (v8.1 / v8.2 only; backend auto-injects --v 8.1 when version is unspecified)
stopint--stopEarly stop (10–100; v5–6.1 / niji 5–6 only)
extrastringany --xxxEscape hatch; appended to prompt verbatim

Request example

{
  "prompt": "replace the background with a modern kitchen, keep the product unchanged --ar 1:1",
  "image_urls": ["https://example.com/product.png"],
  "version": "8.1",
  "speed": "fast"
}

Response

Submission returns a task_id; on SUCCESS the result includes edited image_urls (may be 1–4) plus grid_image_url.

Notes

  • Difference from imagine image-guidance: edits “rewrites the whole image”, while imagine + reference images “borrows the style”.
  • Missing prompt or image_urls returns 400; a single image over 12 MiB returns 400.